- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Cgl-0.55.0/CoinUtils/src/CoinFinite.hpp File Reference

`#include "CoinUtilsConfig.h"`
`#include <cstdlib>`
`#include <algorithm>`

Include dependency graph for CoinFinite.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | COIN_RESTRICT
#define | COIN_BIG_DOUBLE 0
#define | COIN_LONG_WORK 0
#define | COIN_DBL_MAX DBL_MAX
#define | COIN_INT_MAX (static_cast<int>((~(static_cast<unsigned int>(0))) >> 1))
#define | COIN_INT_MAX_AS_DOUBLE (static_cast<double>((~(static_cast<unsigned int>(0))) >> 1))
## Typedefs
typedef int | CoinBigIndex
typedef double | CoinWorkDouble
typedef double | CoinFactorizationDouble
## Functions
bool | CoinFinite (double val)
bool | CoinIsnan (double val)

## Define Documentation

#define COIN_RESTRICT

Definition at line 45 of file CoinFinite.hpp.

#define COIN_BIG_DOUBLE 0

Definition at line 68 of file CoinFinite.hpp.

#define COIN_LONG_WORK 0

Definition at line 82 of file CoinFinite.hpp.

#define COIN_DBL_MAX DBL_MAX

Definition at line 96 of file CoinFinite.hpp.

#define COIN_INT_MAX (static_cast<int>((~(static_cast<unsigned int>(0))) >> 1))

Definition at line 100 of file CoinFinite.hpp.

Referenced by CglCutGenerator::maximumLengthOfCutInTree().

#define COIN_INT_MAX_AS_DOUBLE (static_cast<double>((~(static_cast<unsigned int>(0))) >> 1))

Definition at line 104 of file CoinFinite.hpp.

## Typedef Documentation

typedef int CoinBigIndex

Definition at line 59 of file CoinFinite.hpp.

typedef double CoinWorkDouble

Definition at line 83 of file CoinFinite.hpp.

typedef double CoinFactorizationDouble

Definition at line 86 of file CoinFinite.hpp.

## Function Documentation

bool CoinFinite | ( | double | val | ) | `[inline]`

Definition at line 109 of file CoinFinite.hpp.

References MY_C_FINITE.

Referenced by CoinRelFltEq::operator()().

bool CoinIsnan | ( | double | val | ) | `[inline]`

Definition at line 121 of file CoinFinite.hpp.

References MY_C_ISNAN.

Referenced by CoinRelFltEq::operator()(), and CoinAbsFltEq::operator()().